> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/rest-api/transfers/withdraw-from-account.md).

# Withdraw From Account

<mark style="color:blue;">**`POST`**</mark> `https://api.sfox.com/v1/user/withdraw`

Initiate a withdrawal from your sFOX account to a crypto address or wire transfer to your linked bank account.

### Body Parameters

<table><thead><tr><th width="227">Name</th><th width="100">Type</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>currency</code></strong> <mark style="color:red;">required</mark></td><td>string</td><td>The currency to withdraw</td></tr><tr><td><strong><code>amount</code></strong> <mark style="color:red;">required</mark></td><td>number</td><td>The amount of the currency to withdraw</td></tr><tr><td><strong><code>address</code></strong></td><td>string</td><td>The crypto address to withdraw to. <strong>Required if</strong> <code>currency</code> <strong>is NOT</strong> <code>usd</code></td></tr><tr><td><strong><code>isWire</code></strong></td><td>boolean</td><td>Specify the bank withdrawal method. Possible values:<br><code>1</code>: Wire Transfer<br><code>0</code>: ACH Transfer (default)<br><br>Note, if <code>isWire</code> is not sent in the JSON body, the sFOX system will default to ACH Transfer.</td></tr><tr><td><strong><code>memo</code></strong></td><td>string</td><td>Optional description/memo field</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "success": true,
    "id": "5pauoj52osolwphwnioqxx2zcekikm23x2hyq2rkotockiysng3y5k245q",
    "atx_id": 1524562,
    "tx_status": 1100,
    "currency": "eth",
    "amount": 0.1,
    "address": "0x12345"
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' \
-H 'Content-Type: application/json' \
-X POST \
--data '{"amount": 1, "currency": "eth", "address": "0x123456"}' \
'https://api.sfox.com/v1/user/withdraw'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'post',
  url: 'https://api.sfox.com/v1/user/withdraw',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  },
  data: { 
    currency: 'eth',
    address: '0x123456',
    amount: 1
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.post(
  "https://api.sfox.com/v1/user/withdraw",
  headers={
    "Authorization": "Bearer <API_KEY>",
  },
  json={
    "currency": "eth",
    "address": "0x123456"
    "amount": 1
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/rest-api/transfers/withdraw-from-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
